Subject: Re: [PATCH] Fix safe_create_leading_directories() for Windows

From: Sebastian Schuberth <[email-masked]>
Date: Thu, 02 Jan 2014 21:37:39 +0100

On 02.01.2014 19:18, John Keeping wrote:

>> That said, I see any further explanations on top of the commit message
>> title is an added bonus, and as "just" a bonus a link to a pull request
>> should be fine. You don't need to understand or appreciate the concept
>> of pull requests in order to follow the link and read the text in there.
>
> The commit message serves as an historical record of why a change was
> made; depending on an external service to provide this information when
> it can quite easily be included in the commit itself lessens the value
> of the commit message.

Sure. My point just was that IMHO the commit does not *depend* on the 
information provided in the link; for me the commit was simply 
self-evident, and I just added link as optional information, not to 
replace any inline text that I would have written otherwise.

-- 
Sebastian Schuberth